Summary:        Tools to manage network attached LXI compatible instruments
Name:           lxi-tools
Version:        2.7
Release:    3%{?dist}
License:        BSD-3-Clause AND LGPL-2.1-or-later
URL:            https://lxi-tools.github.io/
Source0:        https://github.com/lxi/lxi-tools/releases/download/v%{version}/%{name}-%{version}.tar.xz
Source1:        https://github.com/lxi/lxi-tools/releases/download/v%{version}/%{name}-%{version}.tar.xz.asc
Source2:        https://keys.openpgp.org/vks/v1/by-fingerprint/101BAC1C15B216DBE07A3EEA2BDB4A0944FA00B1
BuildRequires:  gnupg2
BuildRequires:  gcc
BuildRequires:  meson >= 0.53.2
BuildRequires:  readline-devel
BuildRequires:  liblxi-devel >= 1.13
BuildRequires:  lua-devel >= 5.1
BuildRequires:  bash-completion
BuildRequires:  glib2-devel >= 2.70
BuildRequires:  gtk4-devel >= 4.6.0
BuildRequires:  gtksourceview5-devel >= 5.4.0
BuildRequires:  json-glib-devel >= 1.4
BuildRequires:  libadwaita-devel >= 1.2
BuildRequires:  %{_bindir}/desktop-file-validate
BuildRequires:  %{_bindir}/appstream-util

%description
LXI tools are open source software tools for managing network attached
LXI (LAN eXtensions for Instrumentation) compatible test instruments
such as modern oscilloscopes, power supplies, spectrum analyzers etc.

Features include automatic discovery of test instruments, sending SCPI
commands, grabbing screenshots from supported instruments, benchmarking
SCPI message performance, and powerful scripting for test automation.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%setup -q

%build
%meson \
  -Dgui=true
%meson_build

%install
%meson_install

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/io.github.%{name}.lxi-gui.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/io.github.%{name}.lxi-gui.appdata.xml

%files
%license LICENSE
%doc AUTHORS NEWS README.md
%{_bindir}/lxi
%dir %{_datadir}/bash-completion/
%dir %{_datadir}/bash-completion/completions/
%{_datadir}/bash-completion/completions/lxi*
%{_mandir}/man1/lxi.1*
%{_bindir}/lxi-gui
%{_datadir}/applications/io.github.%{name}.lxi-gui.desktop
%{_datadir}/glib-2.0/schemas/io.github.%{name}.lxi-gui.gschema.xml
%{_datadir}/icons/hicolor/*/apps/io.github.%{name}.lxi-gui*.svg
%{_metainfodir}/io.github.%{name}.lxi-gui.appdata.xml

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 2.7-3
- Rebuilt for loongarch64

* Tue May 07 2024 Fanjun Kong <fanjunkong@tencent.com> - 2.7-2
- epol debrand

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7-1
- initial build
